<%-- 
    Document   : exportarHorarioDocenteCompletoDisponibilidad
    Created on : 28-nov-2018, 16:30:39
    Author     : sistem20user
--%>

<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%@page import="pe.siso.horario.Services.HorarioServices"%>
<%@page import="pe.siso.horario.Services.DisponibilidadServices"%>
<%@page import="org.json.JSONArray"%>
<%@page import="org.json.JSONObject"%>
<%@page import="java.util.ArrayList"%>
<!DOCTYPE html>
<html>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
		<title>JSP Page</title>		
		<style>
			td,th {
				padding: 10px
			}
		</style>
	</head>
	<body>
		<strong>Leyenda</strong>
		<p>Color Gris: Sin Disponibilidad</p>
		<%
			// DNI EN FUTURO
			
		String codDocente = request.getParameter("codDocente");
    String periodo = request.getParameter("periodo");
		
    HorarioServices servicios = new HorarioServices();
		JSONObject jparam=new JSONObject();
		jparam.put("codigoPeriodo",periodo);
		jparam.put("codigoProfesor",codDocente);
		JSONObject objeto=servicios.listarVistaHorarioDisponibilidad(jparam);
		JSONObject dataPersona = objeto.getJSONArray("data").getJSONObject(0);
	
		if(!dataPersona.isNull("disponibilidad")){
			
			//cabecera
			String nombreDocente=dataPersona.getString("nombre");
			String correoDocente=dataPersona.getString("correo");
			String direccionDocente=dataPersona.getString("direccion");
			String celularDocente=dataPersona.getString("celular");
			String distrito=dataPersona.getString("distrito");
			
			String[] disponibilidad = dataPersona.getString("disponibilidad").split("-");
			ArrayList<String> diaM = new ArrayList<String>();
			ArrayList<String> diaT = new ArrayList<String>();
			ArrayList<Object> aulaM = new ArrayList<Object>();
			ArrayList<Object> aulaT = new ArrayList<Object>();
		
		for(int i= 0; i < disponibilidad.length; i++){
			String turno = disponibilidad[i].split("#")[0];
			String dia = disponibilidad[i].split("#")[1];
			
			if(turno.equals("1")){
				diaM.add(dia);
			} else if(turno.equals("2")){
				diaT.add(dia);
			}
		}
		
		if(!dataPersona.isNull("arrayAulas")){
			JSONArray array = dataPersona.getJSONArray("arrayAulas");
			
			for(Object obj : array){				
				JSONObject aula = (JSONObject) obj;
				
				if(aula.getString("turno").equals("1")){
					aulaM.add(aula);
				}else if(aula.getString("turno").equals("2")){
					aulaT.add(aula);
				}
			}
			
		}
			
			response.setContentType("application/vnd.ms-excel; ");
     response.setHeader("Content-Disposition","attachment; filename=UsuarioDocente.xls");
			String borderT="style='border:solid 0.5pt #000000;vertical-align:middle; background-color:#2F75B5;color:white;' ";
			String borderTD="style='border:solid 0.5pt #000000;vertical-align:middle; background-color:#D9D9D9;' ";
			String border="style='border:solid 0.5pt #000000;vertical-align:middle;'";
			
		
		%>

		<table border="2">
			 <tr> 
                <td colspan="7" height='10'> </td>
            </tr> 
            <tr>
                <td colspan="2" <%=borderT%> ><b>DOCENTE:</b></td>
                <td colspan="2"   <%=border%>><font><b><%=nombreDocente%></b></font></td>
                <td colspan="1" <%=borderT%> ><b>CORREO:</b></td>
                <td colspan="2" <%=border%> ><font><b><%=correoDocente%></b></font></td>
            </tr> 
            <tr>
                
                <td colspan="2" <%=borderT%> ><b>CELULAR:</b></td>
                <td colspan="2" <%=border%> align='left'><font><b><%=celularDocente%></b></font></td>
                 <td colspan="1" <%=borderT%> ><b>DISTRITO:</b></td>
                <td colspan="2" <%=border%> ><font><b><%=distrito%></b></font></td>
            </tr> 
          
            <tr>
                <td colspan="2" <%=borderT%> height='70' ><b>DIRECCIÓN:</b></td>
                <td colspan="5" <%=border%> ><font><b><%=direccionDocente%></b></font></td>
            </tr> 
            <tr> 
                <td height='10'  colspan="7" ></td>
            </tr> 
			<thead>
				<tr>
					<th <%=borderT%>>TURNO</th>
					<th <%=borderT%>>LUNES</th>
					<th <%=borderT%>>MARTES</th>
					<th <%=borderT%>>MIERCOLES</th>
					<th <%=borderT%>>JUEVES</th>
					<th <%=borderT%>>VIERNES</th>
					<th <%=borderT%>>SABADO</th>
				</tr>
			</thead>
			<tbody>
				<tr>
					<td <%=borderTD%>>M</td>
					<%						
						for(int i=0;i<6;i++){
							String x="background-color: #585858;";			
							if(diaM.contains(String.valueOf(i+1))){
								x="";
							}
							
							String horario = "";
							
							for(Object obj:aulaM){
								JSONObject hr=(JSONObject)obj;
								if(hr.getString("dia").equals(String.valueOf(i+1))){
									horario += hr.getString("sede") + " | " + hr.getString("aulas") + " \n";
								}							
							}
					%>
					<td height='90' width='140' align='center' style="vertical-align:middle;<%=x%>"><font size="1"><b><%=horario%></b></font></td>
					<%
						}
					%>
				</tr>				
				<tr>
					<td <%=borderTD%>>T</td>
					<%
						
						for(int i=0;i<6;i++){
							String x="background-color: #585858;";						
							if(diaT.contains(String.valueOf(i+1))){
								x="";
							}
							String horario = "";
							
							for(Object obj:aulaT){
								JSONObject hr=(JSONObject)obj;
								if(hr.getString("dia").equals(String.valueOf(i+1))){
									horario += hr.getString("sede") + " | " + hr.getString("aulas") + " \n";
								}							
							}
							

					%>
					<td height='50' width='140' align='center' style="vertical-align:middle;<%=x%>"><font size="1"><b><%=horario%></b></font></td>
					<%
						}
					%>
				</tr>				
			</tbody>
		</table>

		<%
		} else {
		%>
		<h1>No hay disponibilidad.</h1>
		<%
			}
		%>
		
		
<!--		HORARIO CONFIRMADO-->
		
		
		<hr>	
		<p style="font-size: 30px;font-weight: bold;" id='tituloConformidad'>Sede y Aulas con Horario Confirmadas</p>
		
		
				<%

			
		String codDocente2 = request.getParameter("codDocente");
    String periodo2 = request.getParameter("periodo");
		
    HorarioServices serviciosDos = new HorarioServices();
		JSONObject jparam2=new JSONObject();
		jparam2.put("codigoPeriodo",periodo2);
		jparam2.put("codigoProfesor",codDocente2);
		JSONObject objeto2=serviciosDos.listarVistaHorarioConformidad(jparam2);
		JSONObject dataPersona2 = objeto2.getJSONArray("data").getJSONObject(0);
	
		if(!dataPersona2.isNull("disponibilidad")){
			
			//cabecera
			String nombreDocente2=dataPersona2.getString("nombre");
			String correoDocente2=dataPersona2.getString("correo");
			String direccionDocente2=dataPersona2.getString("direccion");
			String celularDocente2=dataPersona2.getString("celular");
			String distrito2=dataPersona2.getString("distrito");
			
			String[] disponibilidad2 = dataPersona2.getString("disponibilidad").split("-");
			ArrayList<String> diaM2 = new ArrayList<String>();
			ArrayList<String> diaT2 = new ArrayList<String>();
			ArrayList<Object> aulaM2 = new ArrayList<Object>();
			ArrayList<Object> aulaT2 = new ArrayList<Object>();
		
		for(int i= 0; i < disponibilidad2.length; i++){
			String turno2 = disponibilidad2[i].split("#")[0];
			String dia2= disponibilidad2[i].split("#")[1];
			
			if(turno2.equals("1")){
				diaM2.add(dia2);
			} else if(turno2.equals("2")){
				diaT2.add(dia2);
			}
		}
		
		if(!dataPersona2.isNull("arrayAulas")){
			JSONArray array = dataPersona2.getJSONArray("arrayAulas");
			
			for(Object obj : array){				
				JSONObject aula2 = (JSONObject) obj;
				
				if(aula2.getString("turno").equals("1")){
					aulaM2.add(aula2);
				}else if(aula2.getString("turno").equals("2")){
					aulaT2.add(aula2);
				}
			}
			
		}
	
			response.setContentType("application/vnd.ms-excel; ");
    response.setHeader("Content-Disposition","attachment; filename=UsuarioDocente.xls");
		 
			String borderT="style='border:solid 0.5pt #000000;vertical-align:middle; background-color:#A9F5F2;' ";
			String borderTD="style='border:solid 0.5pt #000000;vertical-align:middle; background-color:#A9F5D0;' ";
			String border="style='border:solid 0.5pt #000000;vertical-align:middle;background-color:#D9D9D9'";
			
		
		%>

		<table border="2">

			<thead>
				<tr>
					<th style="background-color:#F1F1F1;">TURNO</th>
					<th style="background-color:#F1F1F1;" >LUNES</th>
					<th style="background-color:#F1F1F1;">MARTES</th>
					<th style="background-color:#F1F1F1;">MIERCOLES</th>
					<th style="background-color:#F1F1F1;">JUEVES</th>
					<th style="background-color:#F1F1F1;" >VIERNES</th>
					<th style="background-color:#F1F1F1;">SABADO</th>
				</tr>
			</thead>
			<tbody>
				<tr>
					<td <%=border%>>M</td>
					<%						
						for(int i=0;i<6;i++){
							String x="background-color: #585858;";			
							if(diaM2.contains(String.valueOf(i+1))){
								x="background-color: #DDE3B6;";
							}
							
							String horario = "";
							
							for(Object obj:aulaM2){
								JSONObject hr=(JSONObject)obj;
								if(hr.getString("dia").equals(String.valueOf(i+1))){
									horario += hr.getString("sede") + " | " + hr.getString("aulas") + " \n";
								}							
							}
					%>
					<td height='90' width='140' align='center' style="vertical-align:middle;<%=x%>"><font size="1"><b><%=horario%></b></font></td>
					<%
						}
					%>
				</tr>				
				<tr>
					<td  <%=border%>>T</td>
					<%
						
						for(int i=0;i<6;i++){
							String x="background-color: #585858;";						
							if(diaT2.contains(String.valueOf(i+1))){
							 x="background-color: #DDE3B6;";
							}
							String horario = "";
							
							for(Object obj:aulaT2){
								JSONObject hr=(JSONObject)obj;
								if(hr.getString("dia").equals(String.valueOf(i+1))){
									horario += hr.getString("sede") + " | " + hr.getString("aulas") + " \n";
								}							
							}
							

					%>
					<td height='50' width='140' align='center' style="vertical-align:middle;<%=x%>"><font size="1"><b><%=horario%></b></font></td>
					<%
						}
					%>
				</tr>				
			</tbody>
		</table>

		<%
		} else {
		%>
		
		<%
			}
		%>
	
		
	</body>
</html>
